ros-rolling-mrpt-map-server (2.2.4-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 23 Jul 2025 22:00:00 -0000

ros-rolling-mrpt-map-server (2.2.3-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 21 Jul 2025 22:00:00 -0000

ros-rolling-mrpt-map-server (2.2.2-1noble) noble; urgency=high

  * FIX: remove usage of obsolete ament_target_dependencies()
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 27 May 2025 22:00:00 -0000

ros-rolling-mrpt-map-server (2.2.1-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 11 Oct 2024 22:00:00 -0000

ros-rolling-mrpt-map-server (2.2.0-1noble) noble; urgency=high

  * Merge pull request #149 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/149> from mrpt-ros-pkg/feature/utm-coordinates
    Support UTM global coordinates for geo-referenciated maps
  * Update package.xml: minimum required version of mp2p_icp
  * mrpt_map_server now publishes the map georeferenciation metadata, as topics and /tf (frames: utm, enu)
  * Update URL entries in package.xml to each package proper documentation
  * ament linters: manually enable just cmake and xml linters
  * reformat clang-format with 100 column width
  * Update README.md with geo-referenciation concepts
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 24 Sep 2024 22:00:00 -0000

ros-rolling-mrpt-map-server (2.1.1-1noble) noble; urgency=high

  * Remove temporary workaround in <depends> for buggy mrpt_libros_bridge package.xml
  * update dependencies
  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Contributors: Jose Luis Blanco-Claraco
  * Remove temporary workaround in <depends> for buggy mrpt_libros_bridge package.xml
  * update dependencies
  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 01 Sep 2024 22:00:00 -0000

ros-rolling-mrpt-map-server (2.1.0-1noble) noble; urgency=high

  * docs: typos and clarifications
  * map server: simplify publication policy. Using transient local only and never republishing them
  * Merge branch 'ros2' into wip/port-tps-astar
  * Merge branch 'ros2' into wip/port-tps-astar
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 07 Aug 2024 22:00:00 -0000

ros-rolling-mrpt-map-server (2.0.1-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 27 May 2024 22:00:00 -0000

ros-rolling-mrpt-map-server (2.0.0-1noble) noble; urgency=high

  * Implement map getter services
  * Define map_server services
  * Comply with ROS2 REP-2003
  * new param force_republish_period
  * map_server: publish voxelmaps as points too
  * map_server: Implement publishing from .mm files
  * Rename mrpt_map: mrpt_map_server
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 27 May 2024 22:00:00 -0000

ros-rolling-mrpt-map-server (1.0.3-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-rolling-mrpt-map-server (1.0.2-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-rolling-mrpt-map-server (1.0.1-1noble) noble; urgency=high

  * Fix build errors
  * Removed now obsolete tf_prefix
  * Ported to tf2 and mrpt::ros1bridge
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 23 Jun 2022 22:00:00 -0000

ros-rolling-mrpt-map-server (1.0.0-1noble) noble; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Contributors: Jose Luis Blanco Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 29 Apr 2022 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.26-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 04 Oct 2019 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.25-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 03 Oct 2019 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.24-1noble) noble; urgency=high

  * fix build against mrpt-1.5
  * Fix build against MRPT 1.9.9
  * Contributors: Inounx, Jose Luis Blanco-Claraco, Julian Lopez Velasquez

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 11 Apr 2019 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.23-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 13 Jun 2018 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.22-1noble) noble; urgency=high

  * fix all catkin_lint errors
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 21 May 2018 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.21-1noble) noble; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 26 Apr 2018 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.20-1noble) noble; urgency=high

  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Adapted CMakeLists to new mrpt
  * Contributors: Borys Tymchenko, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 25 Apr 2018 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.18-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 21 Jan 2017 23:00:00 -0000

ros-rolling-mrpt-map-server (0.1.17-1noble) noble; urgency=high

  * Remove all errors generated by catkin_lint and cleanup unused templates from CMakeLists.txt files
  * Contributors: Jorge Santos

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 21 Jan 2017 23:00:00 -0000

ros-rolling-mrpt-map-server (0.1.16-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 12 Dec 2016 23:00:00 -0000

ros-rolling-mrpt-map-server (0.1.15-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 05 Nov 2016 23:00:00 -0000

ros-rolling-mrpt-map-server (0.1.14-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 11 Sep 2016 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.13-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.12-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.11-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 20 Aug 2016 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.10-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.9-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.8-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Jun 2016 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.7-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 19 Jun 2016 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.6-1noble) noble; urgency=high

  * build fixes
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 19 Mar 2016 23:00:00 -0000

ros-rolling-mrpt-map-server (0.1.5-1noble) noble; urgency=high

  * Fix build against mrpt 1.3.0
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Apr 2015 22:00:00 -0000

ros-rolling-mrpt-map-server (0.1.4-1noble) noble; urgency=high

  * Removed 'mrpt' dep from catkin_package().
    I *think* this is giving problems to dependant pkgs and is not needed...
  * localization: New param to configure sensor sources in a flexible way
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 26 Dec 2014 23:00:00 -0000

ros-rolling-mrpt-map-server (0.1.3-1noble) noble; urgency=high

  * Fix many missing install files
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 17 Dec 2014 23:00:00 -0000

ros-rolling-mrpt-map-server (0.1.2-1noble) noble; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 17 Dec 2014 23:00:00 -0000

ros-rolling-mrpt-map-server (0.1.1-1noble) noble; urgency=high

  * First public binary release.

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 16 Dec 2014 23:00:00 -0000

ros-rolling-mrpt-map-server (0.1.0-1noble) noble; urgency=high

  * consistent version numbers
  * Fixes broken dependencies
  * Update all wiki URLs
  * Fix build with mrpt 1.2.x
  * localization uses tf odom
  * localization working like amcl
  * mrpt_rawlog_play working
  * ros mrpt convetion fnc renamed to convert
  * rawlog player
  * map publisher added but not yet working
  * Contributors: Jose Luis Blanco, Jose-Luis Blanco-Claraco, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 16 Dec 2014 23:00:00 -0000


